NMUDIFF(1)

NOM
nmudiff - Envoyer un courrier contenant le correctif d’une NMU vers le BTS Debian

SYNOPSIS
nmudiff [options]

DESCRIPTION
nmudiff est un outil à utiliser lorsqu’on prépare un Non-Mainteneur envoi (NMU) pour notifier au mainteneur qu’un travail est en cours.

nmudiff devrait être lancé dans l’arbre des sources du paquet devant être NMU-é, après que la NMU a été construite. Cela suppose que le source (c’est-à-dire le fichier .dsc et éventuellement les fichiers tar et diff correspondants) pour la version précédente du paquet et pour la version nouvellement construite soient dans le répertoire parent. debdiff est ensuite utilisé pour créer un différentiel de la NMU, puis mutt ou un éditeur (choisi par sensible-editor) est utilisé pour lancer un éditeur de sorte que le message (y compris le différentiel) puisse être examiné et modifié ; une fois que vous avez quitté l’éditeur, le différentiel est envoyé par courrier électronique au système de gestion de bogues ("BTS") Debian.

Si un seul bogue est corrigé par la NMU, le comportement par défaut est d’envoyer le message à ce bogue ; sinon, un nouveau bogue est soumis. Ce comportement par défaut peut être modifié en ligne de commande ou par le fichier de configuration.

OPTIONS

--new
    Soumettre un nouveau rapport de bogue au BTS au lieu d’envoyer un message aux bogues corrigés par la NMU.

--old
    Envoyer le rapport de bogue à tous les bogues corrigés dans cette NMU, au lieu d’ouvrir un nouveau bogue. Cette option n’a aucun effet si la NMU ne corrige aucun bogue.

--mutt
    Utiliser mutt(1) (ou neomutt(1)) pour modifier et envoyer le message au BTS (comportement par défaut). Cela peut être choisi par une option du fichier de configuration (voir plus bas).

--no-mutt
    Utiliser sensible-editor(1) pour modifier le message, puis l’envoyer directement avec /usr/sbin/sendmail. Cela peut être choisi par une option du fichier de configuration (voir plus bas).

--mua COMMANDE_D_ENVOI_DE_MESSAGE
    Utiliser la commande indiquée comme client de messagerie (MUA). La commande sera divisée selon les espaces et interprétée par le shell. La commande recevra en premier argument une adresse URL mailto:. L’application thunderbird est un exemple connu de programme compatible avec cette option.

--sendmail COMMANDE_D_ENVOI_DE_MESSAGE
    Indiquer la commande d’envoi de message. La commande sera divisée selon les espaces et interprétée par le shell. La valeur par défaut est /usr/sbin/sendmail. L’option -t est ajoutée automatiquement si la commande est /usr/sbin/sendmail ou /usr/sbin/exim*. Pour les autres programmes d’envoi de message, l’option -t doit être incluse explicitement dans COMMANDE_D_ENVOI_DE_MESSAGE si elle est nécessaire, par exemple --sendmail="/usr/sbin/monutilitaire -t". La commande peut également être indiquée dans les fichiers de configuration de devscripts comme précisé ci-après.

--from EMAIL
    Si la commande sendmail est utilisée (option --no-mutt), le message envoyé au BTS utilisera le nom et l’adresse contenus dans les variables d’environnement DEBEMAIL et DEBFULLNAME. Si elles n’existent pas, les variables EMAIL et NAME seront utilisées. L’option --from remplace ces variables d’environnement. Le programme ne fonctionnera pas s’il est impossible de déterminer une adresse électronique.

--delay DÉLAI
    Indiquer dans le message créé que la NMU a été envoyée dans la file d’attente différée, avec un délai de DÉLAI jours. La valeur par défaut est XX, ce qui laisse un emplacement pour mettre le délai dans le message. Une valeur de 0 indique que le paquet n’a pas été envoyé dans la file d’attente différée. Les fichiers de configuration de devscripts peuvent aussi être utilisés comme précisé ci-après.

--no-delay, --nodelay
    Équivalent à --delay 0.

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L’option ne peut être utilisée qu’en première position de la ligne de commande.

--no-pending, --nopending
    Ne pas ajouter le tag pending.

--non-dd, --nondd
    Indiquer dans le courriel qu’un parrainage est demandé.

--template fichier_modèle
    Utiliser le contenu du fichier modèle pour le corps du message à la place du modèle par défaut. Si le fichier modèle n’existe pas, le modèle par défaut est utilisé.

--help
    Afficher un message d’aide et quitter avec succès.

--version
    Afficher la version et le copyright, puis quitter avec succès.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre pour régler les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les variables d’environnement sont ignorées à cette fin. Les variables actuellement identifiées sont :

NMUDIFF_DELAY
    Lorsque qu’un nombre est configuré dans cette variable, les courriers créés par nmudiff indiqueront par défaut que l’envoi a été effectué dans la file d’attente différée, avec un délai égal au nombre de jours indiqués. La valeur 0 indique que la file d’attente différée n’a pas été utilisée.

NMUDIFF_MUTT
    Peut être yes (par défaut) ou no, et indique s’il faut utiliser mutt (ou neomutt) pour écrire et envoyer le message ou non, tel que décrit ci-dessus.

NMUDIFF_NEWREPORT
    Cette option permet de contrôler si un nouveau rapport de bogue est soumis, ou si le diff est envoyé aux bogues corrigés par la NMU. Peut être l’une des valeurs maybe (par défaut) qui envoie au bogue fermé par la NMU s’il est unique, yes qui crée systématiquement un nouveau rapport de bogue, ou no qui envoie toujours aux bogues corrigés (sauf si aucun bogue n’est corrigé, auquel cas un nouveau rapport est toujours créé).

BTS_SENDMAIL_COMMAND
    Si cela est défini, cela indique la commande d’envoi de message à utiliser à la place de /usr/sbin/sendmail. Équivaut à l’option de ligne de commande --sendmail.

VOIR AUSSI
debdiff(1), sensible-editor(1), devscripts.conf(5)

AUTEUR
nmudiff a été écrit et est copyright 2006 Steinar H. Gunderson, et modifié par Julian Gilbey <jdg@debian.org>. Ce logiciel peut être redistribué suivant les termes de la licence publique générale GNU, version 2.

TRADUCTION
Ce document est une traduction, maintenue à lʼaide de lʼoutil po4a <https://po4a.org/> par lʼéquipe de traduction francophone du projet Debian.

Plusieurs traducteurs dont Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux, David Prévot et Xavier Guimard ont contribué aux traductions.

Lʼéquipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant lʼoption « -L C » à la commande man.